Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.mq.il.uil2
Class ServerSocketManagerHandler

    java.lang.Object
      org.jboss.mq.il.uil2.ServerSocketManagerHandler

All Implemented Interfaces:
  MsgTypes, SocketManagerHandler, org.jboss.util.stream.StreamListener

public class ServerSocketManagerHandler
extends Object
implements MsgTypes, SocketManagerHandler

This is the SocketManager callback handler for the UIL2 server side socket. This handles messages that are requests from clients.

Version:
  $Revision: 1.4 $
Author:
  Scott.Stark@jboss.org

Field Summary

Fields inherited from interface org.jboss.mq.il.uil2.msgs.MsgTypes
`m_acknowledge, m_addMessage, m_authenticate, m_browse, m_checkID, m_checkUser, m_close, m_connectionClosing, m_createQueue, m_createTopic, m_deleteTemporaryDestination, m_destroySubscription, m_getID, m_getTemporaryQueue, m_getTemporaryTopic, m_ping, m_pong, m_receive, m_receiveRequest, m_setEnabled, m_setSpyDistributedConnection, m_subscribe, m_transact, m_unsubscribe`

Constructor Summary
`ServerSocketManagerHandler(Invoker server, SocketManager socketMgr)`

Method Summary
`void` | `asynchFailure(String error, Throwable e)` Report a connection failure
`void` | `close()` Handle closedown, this maybe invoked many times due to an explicit close and/or a connection failure.
`void` | `handleMsg(BaseMsg msg)` The callback from the SocketManager
`void` | `onStreamNotification(Object stream, int size)` Handle a stream notification

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServerSocketManagerHandler

    public ServerSocketManagerHandler(Invoker server,
                                      SocketManager socketMgr)

Method Detail

### handleMsg

    public void handleMsg(BaseMsg msg)
                   throws Exception

  The callback from the SocketManager

  Specified by:
    `handleMsg` in interface `SocketManagerHandler`
  Parameters:
    `msg` -
  Throws:
    `Exception` - for any error

### onStreamNotification

    public void onStreamNotification(Object stream,
                                     int size)

  Description copied from interface: `SocketManagerHandler`
  Handle a stream notification

  Specified by:
    `onStreamNotification` in interface `SocketManagerHandler`
  Parameters:
    `stream` - the stream
    `size` - the bytes since the last notification

### asynchFailure

    public void asynchFailure(String error,
                              Throwable e)

  Description copied from interface: `SocketManagerHandler`
  Report a connection failure

  Specified by:
    `asynchFailure` in interface `SocketManagerHandler`
  Parameters:
    `error` - the error text

### close

    public void close()

  Description copied from interface: `SocketManagerHandler`
  Handle closedown, this maybe invoked many times due to an explicit close and/or a connection failure.

  Specified by:
    `close` in interface `SocketManagerHandler`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.